// File: IFaceDefs.h
//
// Header File for generic interface definitions
//
// Copyright (c) 2008
//
#ifndef _IFACEDEFS_HEADER_C_
#define _IFACEDEFS_HEADER_C_

#define JCLSID_VERSIONQUERY  0x00000000


typedef void (*PFNJNOTIFY)(void * pUser);

#define JVTBL(nnn) nnn##Vtbl

#define JVTBLGET(p,nnn)     ((nnn*)p)->pvt
#define JVTBLINIT(p,nnn,vt) (JVTBLGET(p,nnn) = (JVTBL(nnn) *)&vt)
#define GETVT(p,nnn)          (*((JVTBL(nnn) **)p))


#define JIFACE(nnn)\
typedef struct JVTBL(nnn) JVTBL(nnn); \
struct JVTBL(nnn)

#define JBASECLS_TYPE(nnn) \
   unsigned int   (*AddRef)(nnn*);\
   unsigned int   (*Release)(nnn*)

#define JQI_TYPE(nnn) \
   unsigned int   (*AddRef)(nnn*);\
   unsigned int   (*Release)(nnn*);\
   unsigned int   (*QueryInterface)(nnn *, unsigned int, void **)


#endif //_IFACEDEFS_HEADER_C_