// File: ProjectError.h
//
// Header File for generic project error codes
//
// Copyright (c) 2008
//
#ifndef _PROJECTERROR_HEADER_
#define _PROJECTERROR_HEADER_

#define  NA_SUCCESS        0
#define  NAERR_FAILED      -1
#define  NAERR_BADPARM     -2
#define  NAERR_SOCKET      -3
#define  NAERR_WSASTART    -4
#define  NAERR_MEMORY      -5
#define  NAERR_FILE        -6
#define  NAERR_HOST        -7
#define  NAERR_BADSTATE    -8
#define  NAERR_BADTYPE     -9
#define  NAERR_OPFAILED    -10
#define  NAERR_NOTFOUND    -11
#define  NAERR_ALREADY     -12
#define  NAERR_CANTLOAD    -13
#define  NAERR_NOTSUPPORT  -14
#define  NAERR_BUFFSMALL   -15
#define  NAERR_THREAD      -16
#define  NAERR_HOSTFAIL    -17


#endif//_PROJECTERROR_HEADER_